<template>
  <div class="project-side-menu-container">
    <el-menu mode="vertical" class="project-side-menu-instance">
      <project-menu-item></project-menu-item>
    </el-menu>
  </div>
</template>
<script>
import ProjectMenuItem from "@/views/projectCostLedger/detail/components/ProjectSideMenu/ProjectMenuItem";
export default {
  name: "projectSideMenu",
  components: {
    ProjectMenuItem
  },
  props: {
    // 菜单树形结构对象
    menuTree: {
      type: Object,
      required: false,
      default: () => ({})
    }
  },
  data() {
    return {

    };
  },
  //可访问data属性
  created() {

  },
  //计算集
  computed: {
    allDisabled() {
      return (!this.menuTree || !Object.keys(this.menuTree)?.length) ? true : false;
    }
  },
  //方法集
  methods: {

  },
}
</script>
<style lang="scss" scoped>
.project-side-menu-container {
  position: relative;
  width: 100%;
  height: 100%;

  ::v-deep .project-side-menu-instance {
    width: 100%;
    height: 100%;
    border-right: 1px solid #eeeeee;
    overflow: auto;

    /* 重置一级二级菜单 高度行高 */
    /* .el-submenu__title {
      height: 32px;
      line-height: 32px;

      &:hover {
        background-color: unset;
        background: linear-gradient(
          91deg,
          rgba(0, 129, 255, 0.1) 0%,
          rgba(0, 129, 255, 0) 100%
        );
      }
    } */
  }
}
</style>
